#!/usr/bin/env bash

function install_homebrew()
{

  if ! which brew>/dev/null; then
    echo "Installing Homebrew"
    /usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
  fi

  if ! brew tap | grep caskroom/cask ; then
    echo "Installing caskroom tap"
    brew tap caskroom/cask
  fi

}

function brew()
{
  /usr/local/bin/brew install $@
}
function cask()
{
  /usr/local/bin/brew cask install $@
}

function install_casks()
{

  cask google-chrome
  cask iterm2
  cask docker
  cask caskroom/drivers/logitech-options
  cask crisidev/chunkwm/chunkwm
  cask koekeishiya/formulae/khd

}

function install_brews()
{
  #/usr/local/bin/brew update
  brew fish
  brew tmux
  brew git
  brew arp-scan
}

function setup_fish()
{
  brew fish
  echo /usr/local/bin/fish | sudo tee -a /etc/shells
  chsh -s /usr/local/bin/fish
}

install_brews
install_casks
#setup_fish
